Gemma-4-E4B

Gemma-4-E4B
Google · Text Generation
POST /v1/chat/completions

Gemma 4 E4B is a Google open multimodal chat model with image input, function calling, structured output, and efficient instruction following.

At a glance

FieldValue
Model idgemma-4-e4b
Input modalitiesText, Image
Output modalitiesText
Context window8K
Weight precisionAWQ 4-bit
Max output tokens4,096
Featuresvision, function_calling, structured_output, reasoning
Native inferenceYes
NewNo
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages

Pricing

ChargeSpecRate
Per Messagefixed$0.03

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "gemma-4-e4b", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature. Lower values are more deterministic. · Range: 0 – 2
top_pnumberno0.95Nucleus sampling probability mass. · Range: 0 – 1
min_pnumberno0Minimum token probability filter. · Range: 0 – 1
max_tokensintegerno4096Maximum output tokens. · Range: 1 – 4096
stopstringnoOne or more stop strings.
seedintegernoOptional deterministic sampling seed. · Range: 0 – 2147483647
enable_thinkingbooleannotrueEnable the model reasoning channel before final output.
reasoning_effortenumnoOpenAI-compatible hint. Medium and high enable thinking mode. · Allowed: low, medium, high
presence_penaltynumberno0Penalize tokens that already appeared. · Range: -2 – 2
frequency_penaltynumberno0Penalize repeated tokens by frequency. · Range: -2 – 2
repetition_penaltynumberno1Discourage exact repeated text. · Range: 0.1 – 2
logprobsbooleannofalseReturn token log probabilities when supported.
top_logprobsintegernoNumber of alternate token log probabilities to return. · Range: 0 – 20
toolsarraynoOpenAI-compatible function tool definitions.
tool_choiceobjectnoOpenAI-compatible function tool selection.
response_formatobjectnoStructured JSON output instructions.
streambooleannofalseStream response deltas using server-sent events.

Notes

Supports text and image input, streaming, function tools, structured JSON output, seed control, and thinking mode on by default. Billing is per successful message.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/gemma-4-e4b.